org.apache.olingo.ext.proxy.api

## Interface StructuredCollectionQuery<CT extends StructuredCollectionQuery<?>>

- All Superinterfaces:
    CollectionQuery<CT>, CommonQuery, StructuredQuery<CT>
  All Known Subinterfaces:
    StructuredCollectionComposableInvoker<CT,O>, StructuredCollectionInvoker<CT>

      public interface StructuredCollectionQuery<CT extends StructuredCollectionQuery<?>>
      extends StructuredQuery<CT>, CollectionQuery<CT>

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `CT` | `filter(String filter)` Sets the `$filter` expression.
    `CT` | `filter(URIFilter filter)` Sets the filter generating the `$filter` expression.
    `CT` | `orderBy(Sort... sort)` Sets the `$orderBy` expression.
    `CT` | `orderBy(String orderBy)` Sets the `$orderBy` expression.

    - ### Methods inherited from interface org.apache.olingo.ext.proxy.api.StructuredQuery

      `expand, select`

    - ### Methods inherited from interface org.apache.olingo.ext.proxy.api.CollectionQuery

      `skip, top`

    - ### Methods inherited from interface org.apache.olingo.ext.proxy.api.CommonQuery

      `clearQueryOptions`

- - ### Method Detail

    - #### filter

          CT filter(String filter)

      Sets the `$filter` expression.
      Any of available operators and functions can be embodied here.
      Parameters:
        `filter` - the `$filter` expression.
      Returns:
        the same query instance.

    - #### filter

          CT filter(URIFilter filter)

      Sets the filter generating the `$filter` expression.
      Parameters:
        `filter` - filter instance (to be obtained via factory): note that `build()` method will be immediately invoked.
      Returns:
        the same query instance.

    - #### orderBy

          CT orderBy(Sort... sort)

      Sets the `$orderBy` expression.
      Parameters:
        `sort` - sort options.
      Returns:
        the same query instance.

    - #### orderBy

          CT orderBy(String orderBy)

      Sets the `$orderBy` expression.
      Parameters:
        `orderBy` - the `$orderBy` expression.
      Returns:
        the same query instance.

Copyright © 2013–2020 The Apache Software Foundation. All rights reserved.